Debian Bug report logs - #456064
FTBFS with GCC 4.3: missing #includes

version graph

Package: qgis; Maintainer for qgis is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>; Source for qgis is src:qgis.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 13 Dec 2007 03:33:07 UTC

Severity: serious

Tags: patch

Found in version qgis/0.8.1-2

Fixed in version 0.7.4-5+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#456064; Package qgis. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Wed, 12 Dec 2007 20:26:12 -0700
Package: qgis
Version: 0.8.1-2
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  There's some more information about this at
http://www.cyrius.com/journal/2007/05/10#gcc-4.3-include

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of qgis_0.8.1-2 on em64t by sbuild/amd64 0.53
...
> In file included from /usr/include/qt4/QtCore/QString:1,
>                  from /build/tbm/qgis-0.8.1/src/core/qgslogger.h:23,
>                  from /build/tbm/qgis-0.8.1/src/core/qgslogger.cpp:19:
> /usr/include/qt4/QtCore/qstring.h:787: warning: type qualifiers ignored on function return type
> /usr/include/qt4/QtCore/qstring.h:788: warning: type qualifiers ignored on function return type
> /usr/include/qt4/QtCore/qstring.h:789: warning: type qualifiers ignored on function return type
> /usr/include/qt4/QtCore/qstring.h:795: warning: type qualifiers ignored on function return type
> /usr/include/qt4/QtCore/qstring.h:796: warning: type qualifiers ignored on function return type
> /build/tbm/qgis-0.8.1/src/core/qgslogger.cpp: In static member function 'static int QgsLogger::debugLevel()':
> /build/tbm/qgis-0.8.1/src/core/qgslogger.cpp:137: error: 'getenv' was not declared in this scope
> /build/tbm/qgis-0.8.1/src/core/qgslogger.cpp:146: error: 'atoi' was not declared in this scope
> /build/tbm/qgis-0.8.1/src/core/qgslogger.cpp: In static member function 'static const char* QgsLogger::debugFile()':
> /build/tbm/qgis-0.8.1/src/core/qgslogger.cpp:158: error: 'getenv' was not declared in this scope
> make[3]: *** [src/core/CMakeFiles/qgis_core.dir/qgslogger.o] Error 1
> make[3]: Leaving directory `/build/tbm/qgis-0.8.1'
> make[2]: *** [src/core/CMakeFiles/qgis_core.dir/all] Error 2

-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 24 Jan 2008 00:42:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#456064; Package qgis. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 456064@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Martin Michlmayr <tbm@cyrius.com>, 456064@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#456064: FTBFS with GCC 4.3: missing #includes
Date: Fri, 7 Mar 2008 01:11:44 +0100
[Message part 1 (text/plain, inline)]
tag 456064 patch
thanks

Martin Michlmayr <tbm@cyrius.com> (12/12/2007):
> Package: qgis
> Version: 0.8.1-2
> Usertags: ftbfs-gcc-4.3

Hi,

please find attached a patch to fix this FTBFS.

Cheers,

-- 
Cyril Brulebois
[qgis_gcc-4.3.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Fri, 07 Mar 2008 00:15:04 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 22 Mar 2008 22:21:05 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Halasz <debian@adkgis.org>:
Bug#456064; Package qgis. Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_b@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Steve Halasz <debian@adkgis.org>. Full text and rfc822 format available.

Message #23 received at 456064@bugs.debian.org (full text, mbox):

From: Hamish <hamish_b@yahoo.com>
To: Debian Bug Tracking System <456064@bugs.debian.org>
Subject: Re: FTBFS with GCC 4.3: missing #includes
Date: Fri, 11 Apr 2008 17:19:47 +1200
Package: qgis
Followup-For: Bug #456064

Hi,

this bug has been fixed upstream,
  http://trac.osgeo.org/qgis/changeset/8257


Hamish




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Halasz <debian@adkgis.org>:
Bug#456064; Package qgis. Full text and rfc822 format available.

Acknowledgement sent to Soeren Sonnenburg <bugreports@nn7.de>:
Extra info received and forwarded to list. Copy sent to Steve Halasz <debian@adkgis.org>. Full text and rfc822 format available.

Message #28 received at 456064@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <bugreports@nn7.de>
To: 456064@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: has patch!
Date: Sun, 13 Apr 2008 08:55:04 +0200
tag 456064 + patch
thanks


there is a link to a trac based diff - so this bug has a patch!




Tags added: patch Request was from Soeren Sonnenburg <bugreports@nn7.de> to control@bugs.debian.org. (Sun, 13 Apr 2008 06:57:08 GMT) Full text and rfc822 format available.

Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 456064-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 456064-done@bugs.debian.org
Subject: qgis has been removed from Debian, closing #456064
Date: Wed, 16 Apr 2008 11:12:55 +0100
The qgis package has been removed from Debian testing, unstable and
experimental, so I am now closing the bugs that were still opened
against it.

For more information about this package's removal, read
http://bugs.debian.org/474604 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

-- 
Marco Rodrigues

http://Marco.Tondela.org





Bug marked as fixed in version 0.7.4-5+rm. Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Tue, 22 Apr 2008 12:18:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:23:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:08:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.